pcl::visualization::PointCloudColorHandler< PointT > Class Template Referenceabstract
Module visualization

Base Handler class for PointCloud colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandler< PointT >:

## Public Types

typedef pcl::PointCloud< PointT > | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudColorHandler< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudColorHandler< PointT > > | ConstPtr

## Public Member Functions

| PointCloudColorHandler ()
| Constructor. More...
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandler ()
| Destructor. More...
bool | isCapable () const
| Check if this handler is capable of handling the input data or not. More...
virtual std::string | getName () const =0
| Abstract getName method. More...
virtual std::string | getFieldName () const =0
| Abstract getFieldName method. More...
virtual bool | getColor (vtkSmartPointer< vtkDataArray > &scalars) const =0
| Obtain the actual color for the input dataset as vtk scalars. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Protected Attributes

PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_idx_
| The index of the field holding the data that represents the color. More...
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud. More...

## Detailed Description

### template<typename PointT>
class pcl::visualization::PointCloudColorHandler< PointT >

Base Handler class for PointCloud colors.

Author
  Radu B. Rusu

Definition at line 64 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

template<typename PointT>

typedef boost::shared_ptr<const PointCloudColorHandler<PointT> > pcl::visualization::PointCloudColorHandler< PointT >::ConstPtr

Definition at line 72 of file point_cloud_color_handlers.h.

template<typename PointT>

typedef pcl::PointCloud<PointT> pcl::visualization::PointCloudColorHandler< PointT >::PointCloud

Definition at line 67 of file point_cloud_color_handlers.h.

template<typename PointT>

typedef PointCloud::ConstPtr pcl::visualization::PointCloudColorHandler< PointT >::PointCloudConstPtr

Definition at line 69 of file point_cloud_color_handlers.h.

template<typename PointT>

typedef PointCloud::Ptr pcl::visualization::PointCloudColorHandler< PointT >::PointCloudPtr

Definition at line 68 of file point_cloud_color_handlers.h.

template<typename PointT>

typedef boost::shared_ptr<PointCloudColorHandler<PointT> > pcl::visualization::PointCloudColorHandler< PointT >::Ptr

Definition at line 71 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

template<typename PointT>

pcl::visualization::PointCloudColorHandler< PointT >::PointCloudColorHandler | ( |  | ) |

inline

Constructor.

Definition at line 75 of file point_cloud_color_handlers.h.

template<typename PointT>

pcl::visualization::PointCloudColorHandler< PointT >::PointCloudColorHandler | ( | const PointCloudConstPtr & | cloud | ) |

inline

Constructor.

Definition at line 80 of file point_cloud_color_handlers.h.

template<typename PointT>

virtual pcl::visualization::PointCloudColorHandler< PointT >::~PointCloudColorHandler | ( |  | ) |

inline virtual

Destructor.

Definition at line 85 of file point_cloud_color_handlers.h.

## Member Function Documentation

template<typename PointT>

virtual bool pcl::visualization::PointCloudColorHandler< PointT >::getColor | ( | vtkSmartPointer< vtkDataArray > & | scalars | ) | const

pure virtual

Obtain the actual color for the input dataset as vtk scalars.

Parameters

  [out] | scalars | the output scalars containing the color for the dataset

Returns
  true if the operation was successful (the handler is capable and the input cloud was given as a valid pointer), false otherwise

Implemented in pcl::visualization::PointCloudColorHandlerRGBAField< PointT >, pcl::visualization::PointCloudColorHandlerGenericField< PointT >, pcl::visualization::PointCloudColorHandlerHSVField< PointT >, pcl::visualization::PointCloudColorHandlerRGBField< PointT >, pcl::visualization::PointCloudColorHandlerCustom< PointT >, and pcl::visualization::PointCloudColorHandlerRandom< PointT >.

Referenced by pcl::visualization::PointCloudColorHandlerRandom< PointT >::getFieldName(), pcl::visualization::PointCloudColorHandlerCustom< PointT >::getFieldName(), pcl::visualization::PointCloudColorHandlerRGBField< PointT >::getFieldName(), pcl::visualization::PointCloudColorHandlerHSVField< PointT >::getFieldName(), pcl::visualization::PointCloudColorHandlerGenericField< PointT >::getFieldName(), pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::getFieldName(), pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >::getFieldName(), pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >::getFieldName(), pcl::visualization::PointCloudColorHandler< PointT >::isCapable(), pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::isCapable(), pcl::visualization::PCLVisualizer::updateCorrespondences(), pcl::visualization::PCLVisualizer::updatePointCloud(), pcl::visualization::PointCloudColorHandlerGenericField< pcl::PCLPointCloud2 >::~PointCloudColorHandlerGenericField(), pcl::visualization::PointCloudColorHandlerHSVField< pcl::PCLPointCloud2 >::~PointCloudColorHandlerHSVField(), pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >::~PointCloudColorHandlerRGBAField(), and pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >::~PointCloudColorHandlerRGBField().

template<typename PointT>

virtual std::string pcl::visualization::PointCloudColorHandler< PointT >::getFieldName | ( |  | ) | const

pure virtual

Abstract getFieldName method.

Implemented in pcl::visualization::PointCloudColorHandlerRGBAField< PointT >, pcl::visualization::PointCloudColorHandlerGenericField< PointT >, pcl::visualization::PointCloudColorHandlerHSVField< PointT >, pcl::visualization::PointCloudColorHandlerRGBField< PointT >, pcl::visualization::PointCloudColorHandlerCustom< PointT >, and pcl::visualization::PointCloudColorHandlerRandom< PointT >.

Referenced by pcl::visualization::PointCloudColorHandler< PointT >::isCapable(), and pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::isCapable().

template<typename PointT>

virtual std::string pcl::visualization::PointCloudColorHandler< PointT >::getName | ( |  | ) | const

pure virtual

Abstract getName method.

Implemented in pcl::visualization::PointCloudColorHandlerRGBAField< PointT >, pcl::visualization::PointCloudColorHandlerGenericField< PointT >, pcl::visualization::PointCloudColorHandlerHSVField< PointT >, pcl::visualization::PointCloudColorHandlerRGBField< PointT >, pcl::visualization::PointCloudColorHandlerCustom< PointT >, and pcl::visualization::PointCloudColorHandlerRandom< PointT >.

Referenced by pcl::visualization::PointCloudColorHandler< PointT >::isCapable(), pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::isCapable(), and pcl::visualization::PCLVisualizer::updateCorrespondences().

template<typename PointT>

bool pcl::visualization::PointCloudColorHandler< PointT >::isCapable | ( |  | ) | const

inline

Check if this handler is capable of handling the input data or not.

Definition at line 89 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_, pcl::visualization::PointCloudColorHandler< PointT >::getColor(), pcl::visualization::PointCloudColorHandler< PointT >::getFieldName(), and pcl::visualization::PointCloudColorHandler< PointT >::getName().

Referenced by pcl::visualization::PCLVisualizer::updateCorrespondences().

template<typename PointT>

virtual void pcl::visualization::PointCloudColorHandler< PointT >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

inline virtual

Set the input cloud to be used.

Parameters

  [in] | cloud | the input cloud to be used by the handler

Reimplemented in pcl::visualization::PointCloudColorHandlerRGBAField< PointT >, pcl::visualization::PointCloudColorHandlerGenericField< PointT >, and pcl::visualization::PointCloudColorHandlerRGBField< PointT >.

Definition at line 111 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::cloud_.

Referenced by pcl::visualization::PointCloudColorHandlerRGBField< PointT >::getFieldName(), pcl::visualization::PointCloudColorHandlerGenericField< PointT >::getFieldName(), pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::getFieldName(), pcl::visualization::PointCloudColorHandlerGenericField< PointT >::PointCloudColorHandlerGenericField(), pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::PointCloudColorHandlerRGBAField(), pcl::visualization::PointCloudColorHandlerRGBField< PointT >::PointCloudColorHandlerRGBField(), pcl::visualization::PointCloudColorHandlerGenericField< PointT >::setInputCloud(), and pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::setInputCloud().

## Member Data Documentation

template<typename PointT>

bool pcl::visualization::PointCloudColorHandler< PointT >::capable_

protected

True if this handler is capable of handling the input data, false otherwise.

Definition at line 123 of file point_cloud_color_handlers.h.

Referenced by pcl::visualization::PointCloudColorHandlerHSVField< PointT >::getColor(), pcl::visualization::PointCloudColorHandlerGenericField< PointT >::getColor(), pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::getColor(), pcl::visualization::PointCloudColorHandler< PointT >::isCapable(), pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::isCapable(), pcl::visualization::PointCloudColorHandlerCustom< PointT >::PointCloudColorHandlerCustom(), pcl::visualization::PointCloudColorHandlerCustom< pcl::PCLPointCloud2 >::PointCloudColorHandlerCustom(), pcl::visualization::PointCloudColorHandlerGenericField< PointT >::PointCloudColorHandlerGenericField(), pcl::visualization::PointCloudColorHandlerHSVField< PointT >::PointCloudColorHandlerHSVField(), pcl::visualization::PointCloudColorHandlerRandom< PointT >::PointCloudColorHandlerRandom(), pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >::PointCloudColorHandlerRandom(), pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::PointCloudColorHandlerRGBAField(), pcl::visualization::PointCloudColorHandlerRGBField< PointT >::PointCloudColorHandlerRGBField(), pcl::visualization::PointCloudColorHandlerGenericField< PointT >::setInputCloud(), and pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::setInputCloud().

template<typename PointT>

PointCloudConstPtr pcl::visualization::PointCloudColorHandler< PointT >::cloud_

protected

A pointer to the input dataset.

Definition at line 118 of file point_cloud_color_handlers.h.

Referenced by pcl::visualization::PointCloudColorHandlerHSVField< PointT >::getColor(), pcl::visualization::PointCloudColorHandlerGenericField< PointT >::getColor(), pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::getColor(), pcl::visualization::PointCloudColorHandler< PointT >::setInputCloud(), and pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >::setInputCloud().

template<typename PointT>

int pcl::visualization::PointCloudColorHandler< PointT >::field_idx_

protected

The index of the field holding the data that represents the color.

Definition at line 126 of file point_cloud_color_handlers.h.

Referenced by pcl::visualization::PointCloudColorHandlerGenericField< PointT >::getColor(), pcl::visualization::PointCloudColorHandlerHSVField< PointT >::PointCloudColorHandlerHSVField(), pcl::visualization::PointCloudColorHandlerGenericField< PointT >::setInputCloud(), and pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::setInputCloud().

template<typename PointT>

std::vector<pcl::PCLPointField> pcl::visualization::PointCloudColorHandler< PointT >::fields_

protected

The list of fields available for this PointCloud.

Definition at line 129 of file point_cloud_color_handlers.h.

Referenced by pcl::visualization::PointCloudColorHandlerHSVField< PointT >::getColor(), pcl::visualization::PointCloudColorHandlerGenericField< PointT >::getColor(), pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::getColor(), pcl::visualization::PointCloudColorHandlerHSVField< PointT >::PointCloudColorHandlerHSVField(), pcl::visualization::PointCloudColorHandlerGenericField< PointT >::setInputCloud(), and pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::setInputCloud().

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/visualization/include/pcl/visualization/point_cloud_color_handlers.h